Different distributions of Linux are bundled with different versions of gcc, libraries, etc.  If you’ve got versions that differ from the ones the developers are testing with, it’s possible to encounter new errors they haven’t seen yet.  It’s useful to report a bug if you can’t find one about your specific issue, otherwise people will keep thinking “someone else is bound to take care of this,” and it doesn’t get taken care of.

 

Rich

 

From: Jorge Santos Simón [mailto:jsantossimon@gmail.com]
Sent: Thursday, April 15, 2010 7:48 AM
To: playerstage-users@lists.sourceforge.net
Subject: Re: [Playerstage-users] Old Stage bug still alive? linking error stage svn (64bit) missing libfltk - ID: 2154314

 

Well, in my case, it was an stupid error: I had two different versions of FLTK and I was using the wrong one. After removing both, I reinstalled (with yast) the package provided by the openSuSE 11.0 repository (IMPORTANT: the developers version) and it worked fine.

Well, not exactly fine: after that I have found some compilation problems on files p_sonar.cc and p_laser.cc:

   /home/jorge/psg/stage/libstageplugin/p_laser.cc
   /home/jorge/psg/stage/libstageplugin/p_sonar.cc

But there are straightforward to solve.

I'll use this moment to post a question to the player/stage developers community:

It's interesting for you that we report this kind of easy compilation problems on SVN version (and maybe the patch solving them) as they appear?
I didn't do it as I supposed everybody would already found (and solved) them.

Regards,
Jorge